FROM python:3-alpine
LABEL description="A Matrix bot for Alertmanager"
# Instal gcc to build wheels
RUN apk add --no-cache gcc musl-dev
# Force the stdout and stderr streams to be unbuffered
ENV PYTHONUNBUFFERED 1
# Install requirements from PyPI
COPY requirements.txt requirements.txt
RUN pip install --no-cache-dir -r requirements.txt
# Copy the all the necessary files
COPY . .
EXPOSE 8000
ENTRYPOINT python3 bot.py
